TR(1)

NOMBRE
tr - traduce o elimina caracteres

SINOPSIS
tr [OPCIÓN]... CADENA1 [CADENA2]

DESCRIPCIÓN

traduce, expurga y/o elimina caracteres desde la entrada estándar y lo envía a la salida estándar. CADENA1 y CADENA2 definen vectores de caracteres VECTOR1 y VECTOR2 que controlan la acción.

-c, -C, --complement
    emplea el complemento de VECTOR1

-d, --delete
    borra caracteres en VECTOR1, no lo traduce

-s, --squeeze-repeats
    sustituye cada secuencia de caracteres repetidos que figure en el último VECTOR con un único carácter eliminando la duplicación.

-t, --truncate-set1
    comienza cortando VECTOR1 para que tenga la misma longitud que VECTOR2.

--help
    muestra la ayuda y finaliza

--version
    muestra la versión del programa y finaliza

Los VECTORES se definen como cadenas de caracteres. Muchos son representaciones de si mismos. Las secuencias que se interpretan son las siguientes:

\NNN
    carácter con valor octal NNN (1 a 3 dígitos octales)

\\  barra invertida

\a  timbre del sistema

\b  espacio-atrás

\f  nueva página

\n  nueva linea

\r  retorno

\t  tabulación horizontal

\v  tabulación vertical

CARÁCTER1-CARÁCTER2
    todos los caracteres desde CARÁCTER1 hasta CARÁCTER2 en orden ascendente

[CHAR*]
    en el VECTOR2, copia todas las veces que sea neceario CHAR hasta alcanzar el tamaño de VECTOR1

[CHAR*REPEAT]
    REPITE copias de CHAR, repetirá octal si empieza por 0

[:alnum:]
    todas las letras y los dígitos

[:alpha:]
    todas las letras

[:blank:]
    todos los espacios en blanco horizontales

[:cntrl:]
    todos los caracteres de control

[:digit:]
    todos los dígitos

[:graph:]
    todos los caracteres imprimibles excluyendo los espacios

[:lower:]
    todas las letras minúsculas

[:print:]
    todos los caracteres imprimibles incluyendo los espacios

[:punct:]
    todos los caracteres de puntuación

[:space:]
    todos los espacios horizontales o verticales

[:upper:]
    todas las letras mayúsculas

[:xdigit:]
    todos los dígitos hexadecimales

[=CHAR=]
    todos los caracteres equivalentes a CHAR

La traducción tendrá lugar si no se indica la opción -d y existen tanto CADENA1 como CADENA2. -t sólo es signifcactivo para traducciones. VECTOR2 se alarga hasta el tamaño de VECTOR1 repitiendo el último carácter las veces que sean necesarias. Los caracteres sobrantes de VECTOR no se consideran. Durante la traducción, las clases de caracteres se expandirán sin un orden definido. Puede emplearse [:lower:] y [:upper:] emparejados para definir minúsculas o mayúsculas respectivamente. El expurgado tendrá lugar después de la traducción o del borrado.

ERRORES

Sólo tienen soporte completo las localizaciones de un sólo byte, donde cada byte representa un único carácter. Para ir sobre seguro, emplee la codificación C en los sistemas GNU; esto es que podrá evitar este inconveniente ejecutando LC_ALL=C tr en lugar de simplemente ejecutar tr.

AUTOR
Escrito por Jim Meyering.

INFORMAR DE ERRORES
Ayuda en línea de GNU Coreutils: <https://www.gnu.org/software/coreutils/>
Informe cualquier error de traducción a <https://translationproject.org/team/es.html>

COPYRIGHT
Copyright © 2023 Free Software Foundation, Inc. Licencia GPLv3+: GNU GPL versión 3 o posterior <https://gnu.org/licenses/gpl.html>.
Esto es software libre: usted es libre de cambiarlo y redistribuirlo. NO HAY GARANTÍA, en la medida permitida por la legislación.

VÉASE TAMBIÉN
Documentación completa <https://www.gnu.org/software/coreutils/tr>
también disponible localmente ejecutando: info '(coreutils) tr invocation'

TRADUCCIÓN
La traducción al español de esta página del manual fue creada por Marcos Fouces <marcos@debian.org>

Esta traducción es documentación libre; lea la GNU General Public License Version 3 (https://www.gnu.org/licenses/gpl-3.0.html) o posterior con respecto a las condiciones de copyright. No existe NINGUNA RESPONSABILIDAD.

Si encuentra algún error en la traducción de esta página del manual, envíe un correo electrónico a debian-l10n-spanish@lists.debian.org.